grk::dwt_data< T > Struct Template Reference

`#include <WaveletReverse.h>`

## Public Member Functions

| dwt_data (void)
| dwt_data (const dwt_data &rhs)
| ~dwt_data (void)
bool | alloc (size_t len)
bool | alloc (size_t len, size_t padding)
void | release (void)

## Public Attributes

T * | allocatedMem
size_t | lenBytes_
size_t | paddingBytes_
T * | mem
T * | memL
T * | memH
uint32_t | sn_full
uint32_t | dn_full
uint32_t | parity
grk_line32 | win_l
grk_line32 | win_h
uint8_t | resno

## Constructor & Destructor Documentation

## dwt_data() [1/2]

template<typename T >

grk::dwt_data< T >::dwt_data | ( | void |  | ) |

inline

## dwt_data() [2/2]

template<typename T >

grk::dwt_data< T >::dwt_data | ( | const dwt_data< T > & | rhs | ) |

inline

## ~dwt_data()

template<typename T >

grk::dwt_data< T >::~dwt_data | ( | void |  | ) |

inline

References grk::dwt_data< T >::release().

## Member Function Documentation

## alloc() [1/2]

template<typename T >

bool grk::dwt_data< T >::alloc | ( | size_t | len | ) |

inline

References grk::dwt_data< T >::alloc().

Referenced by grk::dwt_data< T >::alloc().

## alloc() [2/2]

template<typename T >

bool grk::dwt_data< T >::alloc | ( | size_t | len,
|  | size_t | padding
| ) |  |

inline

References grk::dwt_data< T >::allocatedMem, grk::grk_aligned_malloc(), grk::GRK_ERROR(), grk::grk_make_aligned_width(), grk::grk_read(), grk::dwt_data< T >::lenBytes_, grk::dwt_data< T >::mem, grk::dwt_data< T >::paddingBytes_, grk::dwt_data< T >::release(), and SIZE_MAX.

## release()

template<typename T >

void grk::dwt_data< T >::release | ( | void |  | ) |

inline

References grk::dwt_data< T >::allocatedMem, grk::grk_aligned_free(), grk::dwt_data< T >::mem, grk::dwt_data< T >::memH, and grk::dwt_data< T >::memL.

Referenced by grk::dwt_data< T >::alloc(), and grk::dwt_data< T >::~dwt_data().

## Member Data Documentation

## allocatedMem

template<typename T >

T* grk::dwt_data< T >::allocatedMem

Referenced by grk::dwt_data< T >::alloc(), and grk::dwt_data< T >::release().

## dn_full

template<typename T >

uint32_t grk::dwt_data< T >::dn_full

## lenBytes_

template<typename T >

size_t grk::dwt_data< T >::lenBytes_

Referenced by grk::dwt_data< T >::alloc().

## mem

template<typename T >

T* grk::dwt_data< T >::mem

Referenced by grk::dwt_data< T >::alloc(), and grk::dwt_data< T >::release().

## memH

template<typename T >

T* grk::dwt_data< T >::memH

Referenced by grk::dwt_data< T >::release().

## memL

template<typename T >

T* grk::dwt_data< T >::memL

Referenced by grk::dwt_data< T >::release().

## paddingBytes_

template<typename T >

size_t grk::dwt_data< T >::paddingBytes_

Referenced by grk::dwt_data< T >::alloc().

## parity

template<typename T >

uint32_t grk::dwt_data< T >::parity

## resno

template<typename T >

uint8_t grk::dwt_data< T >::resno

## sn_full

template<typename T >

uint32_t grk::dwt_data< T >::sn_full

## win_h

template<typename T >

grk_line32 grk::dwt_data< T >::win_h

## win_l

template<typename T >

grk_line32 grk::dwt_data< T >::win_l

The documentation for this struct was generated from the following file:

- WaveletReverse.h